module Mks
  module Rent
    class OfferItemsController < ApplicationController
      before_action :set_offer_item, only: [:show, :update, :destroy]

      def index
        offer_items = Mks::Common::MethodResponse(OfferItem.all)
        render json: offer_items
      end

      def show
        render json: @offer_item
      end

      def create
        @offer_item = OfferItem.new(offer_item_params)

        if @offer_item.save
          render json: @offer_item, status: :created, location: @offer_item
        else
          render json: @offer_item.errors, status: :unprocessable_entity
        end
      end

      def update
        if @offer_item.update(offer_item_params)
          render json: @offer_item
        else
          render json: @offer_item.errors, status: :unprocessable_entity
        end
      end

      def destroy
        @offer_item.destroy
      end

      private
      # Use callbacks to share common setup or constraints between actions.
      def set_offer_item
        @offer_item = OfferItem.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def offer_item_params
        params.require(:offer_item).permit(:equipment_item_id, :from, :to, :unit_price, :offer_id)
      end
    end
  end
end