module Mks
  module Rent
    class RequestItemsController < ApplicationController
      before_action :set_request_item, only: %i[show update destroy]

      def index
        request_items = RequestItem.all
        render json: request_items
      end

      def show
        render json: @request_item
      end

      def create
        @request_item = RequestItem.new(request_item_params)

        if @request_item.save
          render json: @request_item, status: :created, location: @request_item
        else
          render json: @request_item.errors, status: :unprocessable_entity
        end
      end

      def update
        if @request_item.update(request_item_params)
          render json: @request_item
        else
          render json: @request_item.errors, status: :unprocessable_entity
        end
      end

      def destroy
        @request_item.destroy
      end

      private
      # Use callbacks to share common setup or constraints between actions.
      def set_request_item
        @request_item = RequestItem.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def request_item_params
        params.require(:request_item).permit(:service_bundle_id, :from, :to, :offer_request_id)
      end
    end
  end
end