module Mks
  module Rent
    class OfferItem < ApplicationRecord
      belongs_to :service_bundle, class_name: 'Mks::Rate::ServiceBundle'
      belongs_to :offer

      validates :from, :to, :unit_price, presence: true

      validate :validate_date_range

      def validate_date_range
        errors.add(:from, :invalid_range, low: from, high: to) if from && to && from > to
      end
    end
  end
end