module Mks
  module Rent
    class OfferRequest < ApplicationRecord
      belongs_to :client, class_name: 'Mks::Rent::Client'
      belongs_to :prepared_by, class_name: 'Mks::Auth::User'
      has_many :request_items

      validates :client, :prepared_by, :status, presence: true
      validates :status, inclusion: { in: %w[DRAFT ACCEPTED REJECTED] }

      delegate(:name, to: :client, prefix: true)
      delegate(:full_name, to: :prepared_by, prefix: true)
    end
  end
end